gtkmm: Gtk::VScrollbar Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::VScrollbar Class Reference
Widgets

A vertical scrollbar. More...

Inheritance diagram for Gtk::VScrollbar:
[legend]

List of all members.

## Public Member Functions
virtual | ~VScrollbar ()
GtkVScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
| VScrollbar ()
| VScrollbar (const Glib::RefPtr< Adjustment >& gtkadjustment)
## Related Functions
(Note that these are not member functions.)
Gtk::VScrollbar* | wrap (GtkVScrollbar* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A vertical scrollbar.

The Gtk::VScrollbar widget is a widget arranged vertically creating a scrollbar. See Gtk::Scrollbar for details on scrollbars.

A Gtk::Adjustment may may be passed to the constructor to handle the adjustment of the scrollbar. If not specified, one will be created for you. See Gtk::Adjustment for details.

A VScrollbar widget looks like this:

Deprecated:
  Use Scrollbar instead.

## Constructor & Destructor Documentation

virtual Gtk::VScrollbar::~VScrollbar | ( |  | ) | `[virtual]`

Gtk::VScrollbar::VScrollbar | ( |  | ) |

Gtk::VScrollbar::VScrollbar | ( | const Glib::RefPtr< Adjustment >& | gtkadjustment | ) | `[explicit]`

## Member Function Documentation

GtkVScrollbar* Gtk::VScrollbar::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scrollbar.

const GtkVScrollbar* Gtk::VScrollbar::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scrollbar.

## Friends And Related Function Documentation

Gtk::VScrollbar* wrap | ( | GtkVScrollbar * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/hvscrollbar.h